function wgh(){}
function lgh(a){this.a=a}
function ogh(a){this.a=a}
function ygh(a){this.a=a}
function Lof(a,b){a.a=b;return a}
function Mof(a){a.e=100;return a}
function Nof(){this.c=new oWd;sD();this.d=Hzj}
function Nef(){this.b=pA($doc);this.a=pA($doc)}
function jmd(a){a.a.ke(0,2);fmd(a.a.c,0,2)[hCj]=_9j}
function hmd(a,b,d){var e;a.a.ke(b,1);e=fmd(a.a.c,b,1);wz(e,Z2j,d.a)}
function noh(a){var b;if(!a.d){b=new wgh;a.d=b}return a.d}
function Iu(a,b,d,e){var g;Ou(a,b,d);g=zu(a,b,d,e==null);e!=null&&tz(g,e)}
function jgh(a,b,d,e){GFd.call(this,a,b,d);this.a=e;this.b=new g0i(R1b)}
function Oef(a,b){if(a==0||b==0)return 0;return W2c(H2c(Math.round(b/a*100)))}
function Kof(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function ngh(a,b){var d,e;d=gnj(b);if(r7i(d,nGj).b.b!=(Jlj(),Ilj)){e=Y_i(a.a.b,r7i(d,nGj));vgh(a.a.A,e)}else{vgh(a.a.A,null)}}
function igh(a){var b,d;b=Idf();B7i(f7i(b),vHj,LDj);d=new P7i;A7i(r7i(d,eGj),'engine-statistics');F7i(r7i(d,gGj),b);mnj(new Fmj(d),new ogh(a))}
function moh(a){var b;if(!a.c){b=new jgh(QEd(Nbe(a.a)),noh(a),loh(a),(Qnj(sde(a.a)),U0i(qde(a.a)),lLg(Gce(a.a))));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.c=b}return a.c}
function vgh(a,b){var d;d=new Edf($L(a0c,_wj,-1,[I2c(b.rI().a),b.sI().a,b.tI().a,b.nI().a,b.pI().a,b.lI().a,b.mI().a,b.oI().a,I2c(b.kI().a),I2c(b.uI().a),I2c(b.qI().a)]));Iof(a.b,d)}
function Mef(a,b,d){var e,g,i;g=jnd(a.c,a.a);i=Oef(b,d);if(i>0){qz(g,F_j,$hk+i+LAj);qz(g,_hk,$hk+i+LAj)}else{qz(g,F_j,aik);qz(g,_hk,aik)}e=new s4c;r4c(q4c(($Pd(e.a,"<span style='padding-right:5px;'>"),e),i+LAj),S_j);tz(g,(new u4c(e.a.a.a)).a)}
function Iof(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=Kof(a);if(g>b.a.b)throw new io(bik+g+cik+b.a.b);e=kOd(g>=0?(new hOd($Md($f(b.a,g)))).a:tyj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=$f(b.a,o);if(null==d)throw new io(dik+o+eik);Ku(a.b,p,1,d);if(!!i.a&&J2c(e.a,Lxj)){Mef($f(a.c,o),W2c(e.a),(new FNd(YMd(d))).a)}else if(!!i.a&&L2c(e.a,Lxj)){throw new io(fik)}++p}}
function Jof(a){var b,d,e,g,i,j,k,n,o,p;i=new rwd;rz((Mfd(),i.gb),w_j);owd(i,new cnd("<div class='metric-table-title'>"+a.d+a3j));a.b=new Qu;qz(kr(a.b),hCj,a.e+LAj);Iu(a.b,0,0,'Metric');Iu(a.b,0,1,'Actual');Iu(a.b,0,2,jCj);hmd(a.b.d,0,(Fnd(),End));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Iu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Iu(a.b,j,1,Hzj);fWd(a.c,new Nef);if(b.a){k=$f(a.c,j-1);Lu(a.b,j,2,(n=new s4c,r4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new knd(new u4c(n.a.a.a)),o=jnd(k.c,k.b),gz(o,'stacked-bar-total'),qz(o,F_j,kgk),qz(o,_hk,'width:100%!important'),p=jnd(k.c,k.a),gz(p,'stacked-bar-actual'),cA(p,Hzj),k.c));Mef(k,0,0)}else Ku(a.b,j,2,Hzj);hmd(a.b.d,j,End);b.c&&vnd(a.b.f,j,'metric-table-baseline');++j}imd(a.b.d,0,0,gik);imd(a.b.d,0,1,gik);imd(a.b.d,0,2,gik);jmd(a.b.d);owd(i,a.b);return i}
var iik='Teiid Metrics',aik='background:none',_hk='cssText',gik='metric-table-header';f3c(2503,1,{},Nef);f3c(2674,1,{},Nof);_.a=null;_.e=100;f3c(4578,1007,hyj,jgh);_.Qi=function(){this.A.a=this;RH(this.v,(Rtf(),Qtf),this)};_.Sk=function(){hq((aq(),_p),new lgh(this))};_.Vi=function(){this.B&&igh(this)};_.Zi=function(){suf(this.a,this)};f3c(4579,1,{},lgh);_.rd=function(){igh(this.a)};f3c(4580,1294,{},ogh);_.od=function(a){VXd('Failed to retrieve query engine statistics for Teiid',a.$b())};_.dh=function(a){ngh(this,a)};f3c(4583,1411,fyj,wgh);_.Ah=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new Nij;Hij(r,new Dij((PXd(),Jhk),new ygh(this)));p=new Kef(uQj,'Session Count');o=new Kef(wQj,'Memory in Use(KB)');n=new Kef(yQj,'Memory Used By Active Plans(KB)');g=new Kef(AQj,'Buffer Disk Reads');i=new Kef(CQj,'Buffer Disk Writes');b=new Kef(EQj,'Buffer Cache Reads');d=new Kef(GQj,'Buffer Cache Writes');q=new Kef(IQj,'Disk Space In Use(MB)');a=new Kef(KQj,'Active Plan Count');s=new Kef(MQj,'Waiting Plan Count');k=new Kef(OQj,'Maximum Plans Waiting Water Mark');e=$L(s1c,axj,196,[p,o,n,g,i,b,d,q,a,s,k]);this.b=Mof(Lof(new Nof,e),sD());j=oBe(rBe(wBe(sBe(vBe(new xBe,hik),iik),r),'Metrics for teiid subsystem'),iik,Jof(this.b));return pBe(j)};f3c(4584,1,uxj,ygh);_.he=function(a){igh(this.a.a)};f3c(4740,1,Oyj);_.pd=function(){yGd(this.b,moh(this.a.a))};var h3b=wNd(4578),d3b=wNd(4579),e3b=wNd(4580),j3b=wNd(4583),i3b=wNd(4584),fub=wNd(2674),Wqb=wNd(2503);Czj(_o)(75);